[zorg] r225396 - Make check-llvm failures fatal in MSan and ASan bootstraps
Alexey Samsonov
vonosmas at gmail.com
Wed Jan 7 13:30:34 PST 2015
Author: samsonov
Date: Wed Jan 7 15:30:34 2015
New Revision: 225396
URL: http://llvm.org/viewvc/llvm-project?rev=225396&view=rev
Log:
Make check-llvm failures fatal in MSan and ASan bootstraps
Modified:
zorg/trunk/zorg/buildbot/builders/sanitizers/buildbot_functions.sh
Modified: zorg/trunk/zorg/buildbot/builders/sanitizers/buildbot_functions.sh
URL: http://llvm.org/viewvc/llvm-project/zorg/trunk/zorg/buildbot/builders/sanitizers/buildbot_functions.sh?rev=225396&r1=225395&r2=225396&view=diff
==============================================================================
--- zorg/trunk/zorg/buildbot/builders/sanitizers/buildbot_functions.sh (original)
+++ zorg/trunk/zorg/buildbot/builders/sanitizers/buildbot_functions.sh Wed Jan 7 15:30:34 2015
@@ -206,8 +206,12 @@ function check_stage2 {
local build_dir=$2
echo @@@BUILD_STEP check-llvm ${sanitizer_name}@@@
- # TODO(eugenis): change this to STEP_FAILURE once green
- (cd ${build_dir} && ninja check-llvm) || echo @@@STEP_WARNINGS@@@
+ # TODO(samsonov): change this to STEP_FAILURE once green
+ if [ "${sanitizer_name}" == "ubsan" ]; then
+ (cd ${build_dir} && ninja check-llvm) || echo @@@STEP_WARNINGS@@@
+ else
+ (cd ${build_dir} && ninja check-llvm) || echo @@@STEP_FAILURE@@@
+ fi
echo @@@BUILD_STEP check-clang ${sanitizer_name}@@@
More information about the llvm-commits
mailing list